VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV:
[legend]

## Public Member Functions

| PipelineViewportSwizzleStateCreateInfoNV (PipelineViewportSwizzleStateCreateFlagsNV flags_=PipelineViewportSwizzleStateCreateFlagsNV(), uint32_t viewportCount_=0, const ViewportSwizzleNV *pViewportSwizzles_=nullptr)
| PipelineViewportSwizzleStateCreateInfoNV (VkPipelineViewportSwizzleStateCreateInfoNV const &rhs)
PipelineViewportSwizzleStateCreateInfoNV & | operator= (VkPipelineViewportSwizzleStateCreateInfoNV const &rhs)
PipelineViewportSwizzleStateCreateInfoNV & | setPNext (const void *pNext_)
PipelineViewportSwizzleStateCreateInfoNV & | setFlags (PipelineViewportSwizzleStateCreateFlagsNV flags_)
PipelineViewportSwizzleStateCreateInfoNV & | setViewportCount (uint32_t viewportCount_)
PipelineViewportSwizzleStateCreateInfoNV & | setPViewportSwizzles (const ViewportSwizzleNV *pViewportSwizzles_)
| operator VkPipelineViewportSwizzleStateCreateInfoNV const & () const
| operator VkPipelineViewportSwizzleStateCreateInfoNV & ()
bool | operator== (PipelineViewportSwizzleStateCreateInfoNV const &rhs) const
bool | operator!= (PipelineViewportSwizzleStateCreateInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineViewportSwizzleStateCreateFlagsNV | flags
uint32_t | viewportCount
const ViewportSwizzleNV * | pViewportSwizzles

## Private Attributes

StructureType | sType = StructureType::ePipelineViewportSwizzleStateCreateInfoNV

## Detailed Description

Definition at line 34584 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineViewportSwizzleStateCreateInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::PipelineViewportSwizzleStateCreateInfoNV | ( | PipelineViewportSwizzleStateCreateFlagsNV | flags_ = `PipelineViewportSwizzleStateCreateFlagsNV()`,
|  | uint32_t | viewportCount_ = `0`,
|  | const ViewportSwizzleNV * | pViewportSwizzles_ = `nullptr`
| ) |  |

inline

Definition at line 34586 of file vulkan.hpp.

: flags( flags_ )
, viewportCount( viewportCount_ )
, pViewportSwizzles( pViewportSwizzles_ )
{
}

## PipelineViewportSwizzleStateCreateInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::PipelineViewportSwizzleStateCreateInfoNV | ( | VkPipelineViewportSwizzleStateCreateInfoNV const & | rhs | ) |

inline

Definition at line 34595 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineViewportSwizzleStateCreateInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineViewportSwizzleStateCreateInfoNV &()

VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::operator VkPipelineViewportSwizzleStateCreateInfoNV & | ( |  | ) |

inline

Definition at line 34634 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineViewportSwizzleStateCreateInfoNV*>(this);
}

## operator VkPipelineViewportSwizzleStateCreateInfoNV const &()

VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::operator VkPipelineViewportSwizzleStateCreateInfoNV const & | ( |  | ) | const

inline

Definition at line 34629 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineViewportSwizzleStateCreateInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::operator!= | ( | PipelineViewportSwizzleStateCreateInfoNV const & | rhs | ) | const

inline

Definition at line 34648 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineViewportSwizzleStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::operator= | ( | VkPipelineViewportSwizzleStateCreateInfoNV const & | rhs | ) |

inline

Definition at line 34600 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineViewportSwizzleStateCreateInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::operator== | ( | PipelineViewportSwizzleStateCreateInfoNV const & | rhs | ) | const

inline

Definition at line 34639 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( viewportCount == rhs.viewportCount )
&& ( pViewportSwizzles == rhs.pViewportSwizzles );
}

References flags, pNext, pViewportSwizzles, sType, and viewportCount.

Referenced by operator!=().

## setFlags()

PipelineViewportSwizzleStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::setFlags | ( | PipelineViewportSwizzleStateCreateFlagsNV | flags_ | ) |

inline

Definition at line 34611 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

PipelineViewportSwizzleStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 34605 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPViewportSwizzles()

PipelineViewportSwizzleStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::setPViewportSwizzles | ( | const ViewportSwizzleNV * | pViewportSwizzles_ | ) |

inline

Definition at line 34623 of file vulkan.hpp.

{
pViewportSwizzles = pViewportSwizzles_;
return *this;
}

References pViewportSwizzles.

## setViewportCount()

PipelineViewportSwizzleStateCreateInfoNV& VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::setViewportCount | ( | uint32_t | viewportCount_ | ) |

inline

Definition at line 34617 of file vulkan.hpp.

{
viewportCount = viewportCount_;
return *this;
}

References viewportCount.

## Field Documentation

## flags

PipelineViewportSwizzleStateCreateFlagsNV VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::flags

Definition at line 34658 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::pNext = nullptr

Definition at line 34657 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pViewportSwizzles

const ViewportSwizzleNV* VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::pViewportSwizzles

Definition at line 34660 of file vulkan.hpp.

Referenced by operator==(), and setPViewportSwizzles().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::sType = StructureType::ePipelineViewportSwizzleStateCreateInfoNV

private

Definition at line 34654 of file vulkan.hpp.

Referenced by operator==().

## viewportCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::viewportCount

Definition at line 34659 of file vulkan.hpp.

Referenced by operator==(), and setViewportCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPipelineViewportSwizzleStateCreateInfoNV
Definition: vulkan_core.h:7248
VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::flags
PipelineViewportSwizzleStateCreateFlagsNV flags
Definition: vulkan.hpp:34658
VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:34657
VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::pViewportSwizzles
const ViewportSwizzleNV * pViewportSwizzles
Definition: vulkan.hpp:34660
VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::PipelineViewportSwizzleStateCreateInfoNV
PipelineViewportSwizzleStateCreateInfoNV(PipelineViewportSwizzleStateCreateFlagsNV flags_=PipelineViewportSwizzleStateCreateFlagsNV(), uint32_t viewportCount_=0, const ViewportSwizzleNV *pViewportSwizzles_=nullptr)
Definition: vulkan.hpp:34586
VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::operator==
bool operator==(PipelineViewportSwizzleStateCreateInfoNV const &rhs) const
Definition: vulkan.hpp:34639
VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::viewportCount
uint32_t viewportCount
Definition: vulkan.hpp:34659
VULKAN_HPP_NAMESPACE::PipelineViewportSwizzleStateCreateInfoNV::sType
StructureType sType
Definition: vulkan.hpp:34654
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480